package loader;

import java.lang.reflect.Constructor;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class HelloLoader extends ClassLoader {
	public Class<?> getClass(String dir, String className) throws IOException {
		byte[] code = Files.readAllBytes(Paths.get(dir, className + ".class"));
		return defineClass(className, code, 0, code.length);
	}

	public static void main(String[] args) throws Exception {
		String dir = args[0];
		String className = args[1];

		HelloLoader loader = new HelloLoader();
		Class<?> giverClass = loader.getClass(dir, className);
		Constructor<?> constructor = giverClass.getConstructor();
		HelloGiver helloGiver = (HelloGiver) constructor.newInstance();

		System.out.println(helloGiver.giveGreetings("Steven"));
	}
}